]> git.draconx.ca Git - rarpd-dx.git/commitdiff
Import bootstrap script etc.
authorNick Bowler <nbowler@draconx.ca>
Thu, 27 Jul 2023 02:28:54 +0000 (22:28 -0400)
committerNick Bowler <nbowler@draconx.ca>
Thu, 27 Jul 2023 02:58:21 +0000 (22:58 -0400)
.gitignore
COPYING.WTFPL2 [new file with mode: 0644]
Makefile.am
bootstrap [new file with mode: 0755]

index b5eaac757c886771ba5a67ea5a6ce3f89af1808e..4eb51ed4ff8f62144f03e9ee349a5d61d2e9d329 100644 (file)
@@ -1,6 +1,7 @@
 *.o
 .deps
 .dirstamp
+/INSTALL
 /aclocal.m4
 /autom4te.cache
 /compile
diff --git a/COPYING.WTFPL2 b/COPYING.WTFPL2
new file mode 100644 (file)
index 0000000..d23841b
--- /dev/null
@@ -0,0 +1,13 @@
+            DO WHAT THE FUCK YOU WANT TO PUBLIC LICENSE
+                    Version 2, December 2004
+
+ Copyright (C) 2004 Sam Hocevar
+  22 rue de Plaisance, 75014 Paris, France
+ Everyone is permitted to copy and distribute verbatim or modified
+ copies of this license document, and changing it is allowed as long
+ as the name is changed.
+
+            DO WHAT THE FUCK YOU WANT TO PUBLIC LICENSE
+   TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION
+
+  0. You just DO WHAT THE FUCK YOU WANT TO.
index 1367d07bbc22f62350955bb00d014d31ebce971a..e5f558f5473a61c3dc45b1f16a1e8523246983c8 100644 (file)
@@ -8,6 +8,8 @@ ACLOCAL_AMFLAGS = -I m4
 
 AM_CPPFLAGS = -DIPUTILS_VERSION='PACKAGE_STRING,'
 
+EXTRA_DIST = COPYING COPYING.WTFPL2 INSTALL README.md bootstrap
+
 XSLTPROC_MAN = $(XSLTPROC) -o $@ --nonet \
                --stringparam man.output.quietly 1 \
                --stringparam funcsynopsis.style ansi \
@@ -32,7 +34,7 @@ endif
        $(AM_V_GEN) $(XSLTPROC_MAN) $<
 $(dist_man_MANS): $(srcdir)/doc/custom-man.xsl
 MAINTAINERCLEANFILES = $(dist_man_MANS)
-EXTRA_DIST = $(dist_man_MANS:.8=.xml) $(srcdir)/doc/custom-man.xsl
+EXTRA_DIST += $(dist_man_MANS:.8=.xml) $(srcdir)/doc/custom-man.xsl
 
 sbin_PROGRAMS = rarpd
 rarpd_SOURCES = src/rarpd.c src/iputils_common.c src/iputils_common.h
diff --git a/bootstrap b/bootstrap
new file mode 100755 (executable)
index 0000000..4aa3cc4
--- /dev/null
+++ b/bootstrap
@@ -0,0 +1,27 @@
+#!/bin/sh
+#
+# Copyright © 2011-2012, 2015, 2021-2023 Nick Bowler
+#
+# Simple script to get started from a fresh git checkout.
+#
+# License WTFPL2: Do What The Fuck You Want To Public License, version 2.
+# This is free software: you are free to do what the fuck you want to.
+# There is NO WARRANTY, to the extent permitted by law.
+
+scriptname=$0
+
+err () { printf '%s: %s\n' "$scriptname" "$*" 1>&2; }
+die () { err "$@"; exit 1; }
+
+: ${AUTORECONF=autoreconf}
+: ${AUTOMAKE=automake}
+
+# Punt some automake-generated files so that Gentoo's wrapper script doesn't
+# try to detect the automake version in use.
+rm -f Makefile.in aclocal.m4
+$AUTORECONF -fis || exit
+
+amdir=`$AUTOMAKE --print-libdir`
+if test -f "$amdir/INSTALL"; then
+  ln -sf "$amdir/INSTALL" INSTALL
+fi